<?
error_reporting(true);
ini_set('error_reporting', E_ALL);

include('../conexao.php');

//tipo propaganda = 1 -> Tabela, 2 -> Propaganda com Imagem, 3 -> Propaganda com Vídeo 

//tempo imagem em segundos

// voltas tabela: caso valor seja 0 a tabela dará voltas até ser interrompida

$phpini = parse_ini_file('../config.ini');

$caminho = $phpini['caminho'];

$create = mysqli_query($con, "CREATE TABLE IF NOT EXISTS `tabela_digital_programacao` (
	`id` INT (11) AUTO_INCREMENT PRIMARY KEY,
	`cod_tv` INT (11),
	`tipo` INT (11),
	`ordem` INT (11),
	`titulo` VARCHAR (50),
	`tempo_imagem` INT (11),
	`voltas` INT NOT NULL DEFAULT 0,
	`arquivo` VARCHAR (250)
); ");

$tv = mysqli_query($con, "select * from tabela_digital_tv where id = " . $_GET['cod_tv']);

$resultado = mysqli_fetch_assoc($tv);

//$titulo = utf8_encode($resultado["titulo"]);
$titulo = $resultado["titulo"];

$cod_tv = $resultado["id"];

$voltas = array('1' => '1', '2' => '2', '3' => '3', '4' => '4', '5' => '5', '6' => '6', '7' => '7', '8' => '8', '9' => '9', '10' => '10');

$tempo = array('10' => '10s', '15' => '15s', '20' => '20s', '30' => '30s', '45' => '45s', '60' => '60s');

?>
<!DOCTYPE html>
<html>

<head>
	<title>TABELA DIGITAL SYSPAN - PROGRAMAÇÃO</title>
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta charset="utf-8">
	<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
	<link href="css/styles.css" rel="stylesheet">
	<link rel="shortcut icon" href="images/syspan.ico">
	<!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
	<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
	<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.3.0/respond.min.js"></script>
<![endif]-->
	<script src="js/jquery.js"></script>
	<link rel="stylesheet" href="css/jquery-ui.css">
	<link href="css/font-awesome.css" rel="stylesheet">
	<link href="vendors/form-helpers/css/bootstrap-formhelpers.min.css" rel="stylesheet">
	<link href="vendors/select/bootstrap-select.min.css" rel="stylesheet">
	<link href="vendors/tags/css/bootstrap-tags.css" rel="stylesheet">
	<link href="css/forms.css" rel="stylesheet">
	<script src="js/jquery-ui.js"></script>
	<style type='text/css'>
		#sortable {
			list-style-type: none;
			margin: 0;
			padding: 0;
			width: 100%;
		}

		#sortable li {
			font-size: 1.4em;
			margin-bottom: 5px;
		}

		.slides {
			width: 100%;
			height: 125px;
		}

		#mask {
			position: absolute;
			left: 0;
			top: 0;
			z-index: 9000;
			background-color: #000;
			display: none;
		}

		#boxes .window {
			position: absolute;
			left: 0;
			top: 0;
			width: 440px;
			height: 200px;
			display: none;
			z-index: 9999;
			padding: 20px;
		}

		#boxes #dialog {
			width: 35%;
			height: 25%;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_edit {
			width: 35%;
			height: 550px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_edit_tabela {
			width: 35%;
			height: 350px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_novo {
			width: 35%;
			height: 550px;
			padding: 10px;
			background-color: #ffffff;
		}


		#boxes #dialog_tabela {
			width: 35%;
			height: 350px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_nova_propaganda {
			width: 35%;
			height: 550px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_novo_video {
			width: 35%;
			height: 410px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_nova_pasta_de_video {
			width: 35%;
			height: 410px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_edit_video {
			width: 35%;
			height: 480px;
			padding: 10px;
			background-color: #ffffff;
		}

		#boxes #dialog_edit_prop {
			width: 35%;
			height: 550px;
			padding: 10px;
			background-color: #ffffff;
		}

		.fechar {
			display: block;
			text-align: right;
		}
	</style>
</head>

<body>
	<div class="header">
		<div class="container">
			<div class="row">
				<div class="col-md-5">
					<!-- Logo -->
					<div class="logo">
						<h5><img alt="Logo Syspan" src="images/logo_syspan_17_rodape.png"
								style="max-height:40px;margin-bottom:5px;"> TABELA DIGITAL PROGRAMAÇÃO</h5>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="page-content">
		<div class="row">
			<div class="col-md-2" style="height:515px;">
				<div class="sidebar content-box" style="display: block;">
					<ul class="nav">
						<!-- Main menu -->
						<li><a href="http://<?= $caminho ?>/?cod_tv=<?= $_GET['cod_tv'] ?>"><i
									class="glyphicon glyphicon-picture"></i> Apresentação</a></li>
						<!-- <li class="current"><a href="index.html"><i class="glyphicon glyphicon-th-list"></i> Slides</a></li>-->
						<li class="submenu">
							<a href="#">
								<i class="glyphicon glyphicon-cog"></i> Novo <span class="caret pull-right"></span>
							</a>
							<!-- Sub menu -->
							<ul>
								<li><a href="#dialog_tabela" name="modal" id="nova_tabela"><i
											class="glyphicon glyphicon-list-alt"></i> Tabela</a></li>
								<li><a href="#dialog_nova_propaganda" name="modal" id="nova_propaganda"><i
											class="glyphicon glyphicon-picture"></i> Imagem</a></li>
								<li><a href="#dialog_novo_video" name="modal" id="novo_video"><i
											class="glyphicon glyphicon-facetime-video"></i> Vídeo</a></li>
								<li><a href="#dialog_nova_pasta_de_video" name="modal" id="nova_pasta_de_video"><i
											class="glyphicon glyphicon-folder-close"></i> Pasta de Vídeos</a></li>
							</ul>
						</li>
					</ul>
				</div>
			</div>
			<div class="col-md-10">
				<h4><?= $titulo ?></h4>
				<div id="erro"></div>
				<p style="width:100%;text-align:center;">Clique e arraste para mudar a ordem dos itens</p>
				<ul style="list-style-type:none;margin:0px;padding:0px;" id="sortable">



				</ul>


			</div>
		</div>
	</div>

	<footer>
		<div class="container">
			<div class="copy text-center"><a href='http://www.syspan.com.br' target="_blank">SYSPAN<sup>®</sup> 2015</a>
			</div>
		</div>
	</footer>

	<div id="boxes">
		<!-- box delete -->
		<div id="dialog" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;">Deletar Evento</div>
			<div style="clear:both;width:100%;text-align:center;font-size:16px;margin-top:25px;">Confirma a exclusão?
			</div>
			<hr>
			<div style="clear:both;width:100%;text-align:center;font-size:16px;margin-top:5px;"><button
					class="btn btn-danger" style="float:right;margin:2px;" id="confirma_delete" data-slide=""><i
						class="glyphicon glyphicon-ok"></i>&nbsp;OK</button><button class="btn btn-primary fechar"
					style="float:right;margin:2px;"><i class="glyphicon glyphicon-remove"></i>&nbsp;Cancela</button>
			</div>
		</div>
		<!-- fim box delete -->


		<!-- box edit propaganda -->
		<div id="dialog_edit_prop" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;">Editar Propaganda</div>

			<div class="panel-body">

				<fieldset>
					<form name="form_edit_prop" id="form_edit_prop" action="">
						<input type="hidden" name="anexo_edit" id="anexo_edit" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_prop_edit" type="text">
						</div>
						<div class="form-group">
							<label>Tempo de Exibição</label>
							<select class="form-control" id="tempo_prop_edit">
								<? foreach ($tempo as $chaves => $ts) { ?>
									<option value="<?= $chaves ?>"><?= $ts ?></option>
								<? } ?>
							</select>
						</div>
						<div class="form-group">
							<label>Imagem</label>
							<div class="form-group" style="height:100px;"><img id="blah_edit" src=""
									style="display:none;" alt="" class="thumbnail thumbnail-medium" /></div>
						</div>
					</form>
					<form name="formUpload_edit" id="formUpload_edit" action="" method="post">
						<div class="form-group">
							<label>Escolher Imagem</label>
							<input type="file" class="btn btn-default" id="arquivo_edit" name="arquivo">
							<p class="help-block">Extensão permitida: JPG, JPEG, GIF, PNG</p>

							<div style="width:100%;text-align:center;" id="box_upload_edit"><progress id="edit"
									value="0" max="100"></progress><span id="porcentagem_edit">0%</span></div><br />
							<div id="resposta_edit" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_edit_prop"
						data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>
		<!-- fim box edit propaganda -->


		<!-- box edit -->
		<div id="dialog_edit" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;">Editar Obituário</div>

			<div class="panel-body">
				<form name="form_edit" id="form_edit" action="">

					<fieldset>
						<div class="form-group">
							<label>Nome</label>
							<input class="form-control" placeholder="Nome" id="nome_edit" type="text">
						</div>
						<div class="form-group">
							<label>Idade</label>
							<input class="form-control" placeholder="Idade" id="idade_edit" type="text">
						</div>
						<div class="form-group">
							<label>Hora Sepultamento</label>
							<input class="form-control time" placeholder="Hora" id="hora_edit" type="text">
						</div>
						<div class="form-group">
							<label>Data Sepultamento</label>
							<p>
							<div class="bfh-datepicker" id="data_edit" data-format="d/m/y" data-date=""></div>
							</p>
						</div>
						<div class="form-group">
							<label>Sala</label>
							<input class="form-control" id="sala_edit" type="text">
						</div>
						<div class="form-group">
							<label>Cemitério</label>
							<input class="form-control" id="cemiterio_edit" placeholder="Cemitério" type="text">
						</div>
					</fieldset>
					<div>
						<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_edit"
							data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
					</div>
				</form>
			</div>
		</div>
		<!-- fim box edit -->


		<!-- box nova propaganda -->
		<div id="dialog_nova_propaganda" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Nova Imagem</div>

			<div class="panel-body">


				<fieldset>
					<form name="form_nova" id="form_nova" action="">
						<input type="hidden" name="anexo" id="anexo" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_prop" type="text">
						</div>
						<div class="form-group">
							<label>Tempo de Exibição</label>
							<select class="form-control" id="tempo_prop">
								<? foreach ($tempo as $chaves => $ts) { ?>
									<option value="<?= $chaves ?>"><?= $ts ?></option>
								<? } ?>
							</select>
						</div>

						<div class="form-group">
							<label>Imagem</label>
							<div class="form-group" style="height:100px;"><img id="blah" src="" style="display:none;"
									alt="" class="thumbnail thumbnail-medium" /></div>
						</div>
					</form>
					<form name="formUpload" id="formUpload" action="" method="post">
						<div class="form-group">
							<label>Escolher Imagem</label>
							<input type="file" class="btn btn-default" id="arquivo" name="arquivo">
							<p class="help-block">Extensão permitida: JPG, JPEG, GIF, PNG</p>

							<div style="width:100%;text-align:center;" id="box_upload"><progress value="0"
									max="100"></progress><span id="porcentagem">0%</span></div><br />
							<div id="resposta" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_nova" data-slide=""><i
							class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>
		<!-- fim box nova propaganda -->


		<!-- box novo -->
		<div id="dialog_novo" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;">Novo Obituário</div>

			<div class="panel-body">
				<form name="form_novo" id="form_novo" action="">

					<fieldset>
						<div class="form-group">
							<label>Nome</label>
							<input class="form-control" placeholder="Nome" id="nome_novo" type="text">
						</div>
						<div class="form-group">
							<label>Idade</label>
							<input class="form-control" placeholder="Idade" id="idade_novo" type="text">
						</div>
						<div class="form-group">
							<label>Hora Sepultamento</label>
							<input class="form-control time" placeholder="Hora" id="hora_novo" type="text">
						</div>
						<div class="form-group">
							<label>Data Sepultamento</label>
							<p>
							<div class="bfh-datepicker" id="data_novo" data-format="d/m/y" data-date="today"></div>
							</p>
						</div>
						<div class="form-group">
							<label>Sala</label>
							<input class="form-control" id="sala_novo" value="" type="text">
						</div>
						<div class="form-group">
							<label>Cemitério</label>
							<input class="form-control" id="cemiterio_novo" placeholder="Cemitério"
								value="Cemitério da Saudade" type="text">
						</div>
					</fieldset>
					<div>
						<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_novo"
							data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
					</div>
				</form>
			</div>
		</div>
		<!-- fim box novo -->


		<!-- box tabela -->
		<div id="dialog_tabela" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Nova Tabela</div>

			<div class="panel-body">
				<form name="form_nova_tabela" id="form_nova_tabela" action="">
					<input type="hidden" name="cod_tv_nova_tabela" id="cod_tv_nova_tabela">
					<fieldset>
						<div class="form-group">
							<div class="form-group"
								style="width:100%;display:block;clear:both;height:100px;text-align:center;"><img
									src="images/tv_tabela.jpg" style="float:none;margin:0 auto;" alt=""
									class="thumbnail thumbnail-medium" /></div>
						</div>
						<div class="form-group" style="width:100%;display:block;clear:both;margin-top:70px;">
							<label>Número de Voltas</label>
							<select class="form-control" id="voltas_nova_tabela">
								<? foreach ($voltas as $chave => $vs) { ?>
									<option value="<?= $chave ?>"><?= $vs ?></option>
								<? } ?>
							</select>
						</div>
					</fieldset>
					<div style="width:100%;display:block;clear:both;">
						<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_nova_tabela"
							data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
					</div>
				</form>
			</div>
		</div>
		<!-- fim box tabela -->


		<!-- box edit tabela -->
		<div id="dialog_edit_tabela" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Editar Tabela</div>

			<div class="panel-body">
				<form name="form_edit_tabela" id="form_edit_tabela" action="">
					<fieldset>
						<div class="form-group">
							<div class="form-group"
								style="width:100%;display:block;clear:both;height:100px;text-align:center;"><img
									src="images/tv_tabela.jpg" style="float:none;margin:0 auto;" alt=""
									class="thumbnail thumbnail-medium" /></div>
						</div>
						<div class="form-group" style="width:100%;display:block;clear:both;margin-top:70px;">
							<label>Número de Voltas</label>
							<select class="form-control" id="voltas_edit_tabela">
								<? foreach ($voltas as $chave => $vs) { ?>
									<option value="<?= $chave ?>"><?= $vs ?></option>
								<? } ?>
							</select>
						</div>
					</fieldset>
					<div>
						<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_edit_tabela"
							data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
					</div>
				</form>
			</div>
		</div>
		<!-- fim box edit -->


		<!-- box edit video -->
		<div id="dialog_edit_video" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Editar Vídeo</div>

			<div class="panel-body">


				<fieldset>
					<form name="form_nova" id="form_nova" action="">
						<input type="hidden" name="anexo_edit_video" id="anexo_edit_video" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_edit_video" type="text">
						</div>
						<div class="form-group" style="width:100%;display:block;clear:both;margin-top:0px;">
							<label>Número de Repetições</label>
							<select class="form-control" id="voltas_edit_video">
								<? foreach ($voltas as $chave => $vs) { ?>
									<option value="<?= $chave ?>"><?= $vs ?></option>
								<? } ?>
							</select>
						</div>
						<div class="form-group">
							<label>Vídeo</label>
							<input class="form-control" id="nome_edit_video" style="border-color:#FFF;" type="text"
								readonly>
						</div>
					</form>
					<form name="formUpload_edit_video" id="formUpload_edit_video" action="" method="post">
						<div class="form-group">
							<label>Escolher Outro Vídeo</label>
							<input type="file" class="btn btn-default" id="arquivo_edit_video"
								name="arquivo_edit_video">
							<p class="help-block">Extensão permitida: MP4</p>

							<div style="width:100%;text-align:center;" id="box_upload_edit_video"><progress value="0"
									max="100" id="edit_video"></progress><span id="porcentagem_edit_video">0%</span>
							</div><br />
							<div id="resposta_edit_video" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_edit_video"
						data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>
		<!-- fim box edit video -->

		<!-- box edit pasta de vídeos -->

		<div id="dialog_edit_pasta_de_videos" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Editar Pasta de Vídeos</div>

			<div class="panel-body">


				<fieldset>
					<form name="form_nova" id="form_nova" action="">
						<input type="hidden" name="anexo_edit_pasta_de_video" id="anexo_edit_pasta_de_video" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_edit_pasta_de_video" type="text">
						</div>
						<div class="form-group" style="width:100%;display:block;clear:both;margin-top:0px;">
							<label>Número de Repetições</label>
							<select class="form-control" id="voltas_edit_pasta_de_video">
								<? foreach ($voltas as $chave => $vs) { ?>
									<option value="<?= $chave ?>"><?= $vs ?></option>
								<? } ?>
							</select>
						</div>
						<div class="form-group">
							<label>Vídeo</label>
							<input class="form-control" id="nome_edit_pasta_de_video" style="border-color:#FFF;" type="text"
								readonly>
						</div>
					</form>
					<form name="formUpload_edit_pasta_de_video" id="formUpload_edit_pasta_de_video" action="" method="post">
						<div class="form-group">
							<label>Escolher Outro Vídeo</label>
							<input type="file" class="btn btn-default" id="arquivo_edit_pasta_de_video"
								name="arquivo_edit_pasta_de_video">
							<p class="help-block">Extensão permitida: MP4</p>

							<div style="width:100%;text-align:center;" id="box_upload_edit_pasta_de_video"><progress value="0"
									max="100" id="edit_pasta_de_video"></progress><span id="porcentagem_edit_pasta_de_video">0%</span>
							</div><br />
							<div id="resposta_edit_pasta_de_video" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_edit_pasta_de_video"
						data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>

		<!-- box novo video -->
		<div id="dialog_novo_video" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Novo Vídeo</div>
			<div class="panel-body">
				<fieldset>
					<form name="form_nova" id="form_nova" action="">
						<input type="hidden" name="anexo_video" id="anexo_video" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_video" type="text">
						</div>
						<div class="form-group" style="width:100%;display:block;clear:both;margin-top:0px;">
							<label>Número de Repetições</label>
							<select class="form-control" id="voltas_video">
								<? foreach ($voltas as $chave => $vs) { ?>
									<option value="<?= $chave ?>"><?= $vs ?></option>
								<? } ?>
							</select>
						</div>
					</form>
					<form name="formUpload_video" id="formUpload_video" action="" method="post">
						<div class="form-group">
							<label>Escolher Arquivo</label>
							<input type="file" class="btn btn-default" id="arquivo_video" name="arquivo_video">
							<p class="help-block">Extensão permitida: MP4</p>

							<div style="width:100%;text-align:center;" id="box_upload_video"><progress value="0"
									max="100" id="novo_video"></progress><span id="porcentagem_video">0%</span></div>
							<br />
							<div id="resposta_video" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_novo_video"
						data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>
		<!-- fim box novo video -->

		<!-- box nova pasta de vídeos -->
		<div id="dialog_nova_pasta_de_video" class="window content-box-large">
			<button class="btn btn-primary btn-xs fechar" style="float:right;" data-dialog="dialog"><i
					class="glyphicon glyphicon-remove"></i></button>
			<div style="width:100%;font-weight:bold;font-size:18px;"><?= $titulo ?> - Nova pasta de vídeos</div>

			<div class="panel-body">
				<fieldset>
					<form name="form_nova" id="form_nova" action="">
						<input type="hidden" name="anexo_video" id="anexo_video" />
						<div class="form-group">
							<label>Título</label>
							<input class="form-control" placeholder="Título" id="titulo_pasta_de_video" type="text">
						</div>
					</form>
					<form name="formUpload_pastadevideo" id="formUpload_pastadevideo" action="" method="post" enctype="multipart/form-data">
						<div class="form-group">
							<label>Escolher pasta do computador</label>
							<input type="file" class="btn btn-default" id="pasta_de_video" name="pasta_de_video[]"
								webkitdirectory multiple accept=".mp4">
							<p class="help-block">Extensão permitida: MP4</p>

							<div style="width:100%;text-align:center;" id="box_upload_pasta_de_video"><progress
									value="0" max="100" id="nova_pasta_de_video"></progress><span
									id="porcentagem_pasta_de_video">0%</span></div><br />
							<div id="resposta_pasta_de_video" style="text-align:center;"></div>
						</div>
					</form>
				</fieldset>
				<div>
					<button class="btn btn-success" style="float:right;margin:2px;" id="confirma_nova_pasta_de_video"
						data-slide=""><i class="glyphicon glyphicon-ok"></i>&nbsp;Salvar</button>
				</div>

			</div>
		</div>
		<!-- fim box nova pasta de vídeos -->

		<div id="mask"></div>
	</div>

	<script type='text/javascript'>
		function carrega() {

			//alert('carega');

			$("ul#sortable").empty();

			$("ul#sortable").html('');

			$("ul#sortable li").remove();


			$.ajax({
				type: "POST",
				data: 'cod_tv=' + <?= $cod_tv ?>,
				url: "lista_programacao.php",
				datatype: 'json',
				success: function (data) {

					$.each(data, function (i, dados) {

						if (dados.tipo == 1) {
							src = 'images/tv_tabela.jpg';
							dialog = 'dialog_edit_tabela';
							classe = 'edit';
							titulo = '<strong>Tabela Digital</strong>';

							voltas_tabela = dados.voltas_tabela;

							if (voltas_tabela.toString() == '0')
								adicionais = 'Contínuo';
							else
								adicionais = 'repetições: ' + dados.voltas_tabela;

						} else if (dados.tipo == 2) {
							src = dados.arquivo;
							dialog = 'dialog_edit_prop';
							classe = 'edit_prop';
							titulo = '<strong>Imagem</strong>: ' + dados.titulo;

							tempo_imagem = dados.tempo_imagem;

							if (tempo_imagem.toString() == '0')
								adicionais = 'Contínuo';
							else
								adicionais = dados.tempo_imagem + 's';



						} else if(dados.tipo == 3) {
							src = 'images/tv_video.jpg';
							dialog = 'dialog_edit_video';
							classe = 'edit_video';
							titulo = '<strong>Vídeo</strong>: ' + dados.titulo;


							voltas_tabela = dados.voltas_tabela;
							if (voltas_tabela.toString() == '0')
								adicionais = 'Contínuo';
							else
								adicionais = ' repetições: ' + dados.voltas_tabela;

						}
						else if(dados.tipo == 4) {
							src    = 'images/tv_video.jpg';
							dialog = 'dialog_edit_pasta_de_videos';
							classe = 'edit_pasta_de_videos';
							titulo = '<strong>Pasta de Vídeos</strong>: ' + dados.titulo;


							voltas_tabela = dados.voltas_tabela;
							if (voltas_tabela.toString() == '0')
								adicionais = 'Contínuo';
							else
								adicionais = ' repetições: ' + dados.voltas_tabela;
						}



						$("ul#sortable").append('<li class="slides" data-id="' + dados.id + '"><div class="col-md-9 content-box-large" style="height:140px;"><div class="col-md-3" style="display:inline;text-align:center;"><img src="' + src + '" style="width:178px;height:100px;" /></div><div class="col-md-6">' + titulo + ' (' + adicionais + ')</div></div><div class="col-md-3" style="height:125px;text-align:center;padding-top:40px;"><button class="btn btn-primary btn-em ' + classe + '" data-dialog="' + dialog + '" style="margin:2px" data-id="' + dados.id + '"><i class="glyphicon glyphicon-edit"></i>&nbsp;Editar</button><button class="btn btn-danger btn-em delete" style="margin:2px" data-dialog="dialog" data-id="' + dados.id + '"><i class="glyphicon glyphicon-remove"></i>&nbsp;Delete</button></div></li>');


					});


				},
				error: function (xhr, status) {
					alert(xhr.statusText);
				}
			});


		}

		$(document).ready(function () {

			$('ul.nav').on('click', 'a#nova_propaganda', function (e) {

				e.preventDefault();
				$('#titulo_prop').val('');
				$('#tempo_prop').val('10');
				$('#blah').attr('src', '');
				$('#blah').hide();
				$('progress').attr('value', '0');
				$('#porcentagem').html('0%');
				$('#arquivo').val('');
				$('#resposta').html('');

			});

			$('ul.nav').on('click', 'a#novo_video ', function (e) {
				e.preventDefault();
				$('#titulo_video').val('');
				$('#voltas_video').val('1');
				$('progress#novo_video').attr('value', '0');
				$('#porcentagem_video').html('0%');
				$('#arquivo_video').val('');
				$('#resposta_video').html('');

			});


			$('ul.nav').on('click', 'a#nova_tabela ', function (e) {
				e.preventDefault();
				$('#voltas_nova_tabela').val('1');
			});



			carrega();

			$('.time').mask('00:00');

			$('a[name=modal]').click(function (e) {
				e.preventDefault();

				var id = $(this).attr('href');

				var maskHeight = $(document).height();
				var maskWidth = $(window).width();

				$('#mask').css({
					'width': maskWidth,
					'height': maskHeight
				});

				$('#mask').fadeIn(250);
				$('#mask').fadeTo("slow", 0.8);

				//Get the window height and width
				var winH = $(window).height();
				var winW = $(window).width();

				winH = winH / 2;
				winW = winW / 2;

				$(id).css('top', winH - $(id).height() / 2);
				$(id).css('left', winW - $(id).width() / 2);

				$(id).fadeIn(500);



			});

			function fechar() {
				$('.window').fadeOut(250);
				$('#mask').fadeOut(250);

			}

			$('.window .fechar').click(function (e) {
				e.preventDefault();
				fechar();
			});

			$('#mask').click(function () {
				$(this).hide();
				$('.window').hide();
			});

			$('ul#sortable').on('click', '.edit', function (e) {

				e.preventDefault();

				var slide = $(this).data("id");

				var id = '#' + $(this).data("dialog");

				var maskHeight = $(document).height();
				var maskWidth = $(window).width();

				$('#mask').css({
					'width': maskWidth,
					'height': maskHeight
				});

				$('#mask').fadeIn(250);
				$('#mask').fadeTo("slow", 0.8);

				//Get the window height and width
				var winH = $(window).height();
				var winW = $(window).width();

				$(id).css('top', winH / 2 - $(id).height() / 2);
				$(id).css('left', winW / 2 - $(id).width() / 2);

				$("#confirma_edit_tabela").data("slide", $(this).data("id"));

				$(id).fadeIn(500);


				$.ajax({
					type: "POST",
					data: 'id=' + slide,
					url: "dados_programacao.php",
					success: function (data) {

						$('#voltas_edit_tabela').val(data.voltas_tabela);

					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});

			});


			$('ul#sortable').on('click', '.edit_prop', function (e) {

				e.preventDefault();

				var slide = $(this).data("id");

				var id = '#' + $(this).data("dialog");

				var maskHeight = $(document).height();
				var maskWidth = $(window).width();

				$('#mask').css({
					'width': maskWidth,
					'height': maskHeight
				});

				$('#mask').fadeIn(250);
				$('#mask').fadeTo("slow", 0.8);

				//Get the window height and width
				var winH = $(window).height();
				var winW = $(window).width();

				$(id).css('top', winH / 2 - $(id).height() / 2);
				$(id).css('left', winW / 2 - $(id).width() / 2);

				$("#confirma_edit_prop").data("slide", $(this).data("id"));

				$(id).fadeIn(500);


				$.ajax({
					type: "POST",
					data: 'id=' + slide,
					url: "dados_programacao.php",
					success: function (data) {

						$('#titulo_prop_edit').val(data.titulo);
						$('#tempo_prop_edit').val(data.tempo_imagem);
						$('#blah_edit').attr('src', data.arquivo);
						$('#blah_edit').css({
							'width': 178,
							'height': 100
						});
						$('#blah_edit').show();
						$('#anexo_edit').val('');


					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});

			});

			$('ul#sortable').on('click', '.edit_video', function (e) {

				e.preventDefault();

				var slide = $(this).data("id");

				var id = '#' + $(this).data("dialog");

				var maskHeight = $(document).height();
				var maskWidth = $(window).width();

				$('#mask').css({
					'width': maskWidth,
					'height': maskHeight
				});

				$('#mask').fadeIn(250);
				$('#mask').fadeTo("slow", 0.8);

				//Get the window height and width
				var winH = $(window).height();
				var winW = $(window).width();

				$(id).css('top', winH / 2 - $(id).height() / 2);
				$(id).css('left', winW / 2 - $(id).width() / 2);

				$("#confirma_edit_video").data("slide", $(this).data("id"));

				$(id).fadeIn(500);


				$.ajax({
					type: "POST",
					data: 'id=' + slide,
					url: "dados_programacao.php",
					success: function (data) {

						$('#voltas_edit_video').val(data.voltas_tabela);
						$('#titulo_edit_video').val(data.titulo);
						$('#nome_edit_video').val(data.arquivo);
						$('progress#edit_video').attr('value', '0');
						$('#porcentagem_edit_video').html('0%');
						$('#resposta_edit_video').html('');

					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});

			});

			$('ul#sortable').on('click', '.edit_pasta_de_videos', function (e) {
				let id_pasta_de_video = $(this).data("id");
				location.href="./pasta_de_videos.php?id=" + id_pasta_de_video;
			});

			function verifica_novo_video() {

				if ($('#titulo_video').val() != '' && $('#arquivo_video').val() != '') {
					return true;
				} else {
					return false;
				}
			}


			$('#dialog_novo_video').on('click', '#confirma_novo_video', function () {


				if ($('#titulo_video').val() != '' && $('#arquivo_video').val() != '') {

					titulo_video = $('#titulo_video').val();
					arquivo_video = $('#arquivo_video').val();
					voltas_video = $('#voltas_video').val();

					$('#formUpload_video').ajaxForm({
						data: {
							titulo: titulo_video
						},
						uploadProgress: function (event, position, total, percentComplete) {
							$('#resposta_video').html('');
							$('progress#novo_video').attr('value', percentComplete);
							$('#porcentagem_video').html(percentComplete + '%');
						},
						success: function (data) {

							$('progress#novo_video').attr('value', '100');
							$('#porcentagem_video').html('100%');

							//alert(data.sucesso);

							if (data.sucesso == true) {

								//$('#anexo').val(data.msg);

								$.ajax({
									type: "POST",
									data: 'cod_tv=' + <?= $cod_tv ?> + '&tipo=3&titulo=' + titulo_video + '&voltas=' + voltas_video + '&arquivo=' + data.msg,
									url: "insere_video.php",
									success: function (data) {

										if (data.resp == 'ok') {

											$('#titulo_video').val('');
											$('progress#novo_video').attr('value', '0');
											$('#porcentagem_video').html('0%');
											$('#resposta_video').html('');

											alert('Inserido com sucesso');

											carrega();
											fechar();

										} else {
											$('#erro').html(data.sql);
											alert('Erro ao inserir. Tente novamente.');
										}
									},
									error: function (xhr, status) {
										alert(xhr.statusText);
									}
								});

							} else {
								$('progress#novo_video').attr('value', '0');
								$('#porcentagem_video').html('0%');
								$('#resposta_video').html(data.msg);
							}
						},
						error: function () {
							$('#resposta_video').html('Erro ao enviar requisição');
						},
						dataType: 'json',
						url: 'enviar_videos.php',
						resetForm: true

					}).submit();






				} else {
					alert('Preencha todos os campos.');
				}

			});


			///////#
			$('#dialog_nova_pasta_de_video').on('click', '#confirma_nova_pasta_de_video', function () {

				if ($('#pasta_de_video').val() != '') {

					titulo_video = $("#titulo_pasta_de_video").val();
					arquivo_video = $('#pasta_de_video').val();

					$('#formUpload_pastadevideo').ajaxForm({
						data: {
							titulo: titulo_video,
						},
						uploadProgress: function (event, position, total, percentComplete) {
							$('#resposta_pasta_de_video').html('');
							$('progress#nova_pasta_de_video').attr('value', percentComplete);
							$('#porcentagem_pasta_de_video').html(percentComplete + '%');
						},
						success: function (data) {

							$('progress#nova_pasta_de_video').attr('value', '100');
							$('#porcentagem_pasta_de_video').html('100%');

							//alert(data.sucesso);

							if (data.sucesso == true) {

								//$('#anexo').val(data.msg);

								$.ajax({
									type: "POST",
									data: 'cod_tv=' + <?= $cod_tv ?> + '&tipo=3&titulo=' + titulo_video + '&voltas=' + voltas_video + '&arquivo=' + data.msg,
									url: "insere_videos.php",
									success: function (data) {

										if (data.resp == 'ok') {

											$('#titulo_pasta_de_video').val('');
											$('progress#nova_pasta_de_video').attr('value', '0');
											$('#porcentagem_pasta_de_video').html('0%');
											$('#resposta_pasta_de_video').html('');

											alert('Inserido com sucesso');

											carrega();
											fechar();

										} else {
											$('#erro').html(data.sql);
											alert('Erro ao inserir. Tente novamente.');
										}
									},
									error: function (xhr, status) {
										alert(xhr.statusText);
									}
								});

							} else {
								$('progress#nova_pasta_de_video').attr('value', '0');
								$('#porcentagem_pasta_de_video').html('0%');
								$('#resposta_pasta_de_video').html(data.msg);
							}
						},
						error: function () {
							$('#resposta_pasta_de_video').html('Erro ao enviar requisição');
						},
						dataType: "json",
						url: 'enviar_pasta_de_videos.php',
						resetForm: true

					}).submit();

				} else {
					alert('Preencha todos os campos.');
				}

			});



			function verifica_nova() {

				if ($('#titulo_prop').val() != '' && $('#arquivo').val() != '') {
					return true;
				} else {
					return false;
				}

			}

			$('#dialog_nova_propaganda').on('click', '#confirma_nova', function () {

				if (verifica_nova()) {

					titulo_prop = $('#titulo_prop').val();
					tempo_prop = $('#tempo_prop').val();
					arquivo_prop = $('#arquivo').val();

					$('#formUpload').ajaxForm({
						data: {
							titulo: titulo_prop
						},
						uploadProgress: function (event, position, total, percentComplete) {
							$('#resposta').html('');
							$('progress').attr('value', percentComplete);
							$('#porcentagem').html(percentComplete + '%');
						},
						success: function (data) {

							$('progress').attr('value', '100');
							$('#porcentagem').html('100%');

							//alert(data.sucesso);

							if (data.sucesso == true) {

								//$('#anexo').val(data.msg);

								$.ajax({
									type: "POST",
									data: 'cod_tv=' + <?= $cod_tv ?> + '&tipo=2&titulo=' + titulo_prop + '&tempo_imagem=' + tempo_prop + '&arquivo=' + data.msg + '&tipo=2',
									url: "insere_propaganda.php",
									success: function (data) {

										if (data.resp == 'ok') {

											$('#titulo_prop').val('');
											$('#tempo_prop').val('10');
											$('#blah').attr('src', '');
											$('#blah').hide();
											$('progress').attr('value', '0');
											$('#porcentagem').html('0%');
											$('#resposta').html('');

											alert('Inserido com sucesso');

											carrega();
											fechar();

										} else {
											$('#erro').html(data.sql);
											alert('Erro ao inserir. Tente novamente.');
										}
									},
									error: function (xhr, status) {
										alert(xhr.statusText);
									}
								});

							} else {
								$('progress').attr('value', '0');
								$('#porcentagem').html('0%');
								$('#resposta').html(data.msg);
							}
						},
						error: function () {
							$('#resposta').html('Erro ao enviar requisição');
						},
						dataType: 'json',
						url: 'enviar_arquivo.php',
						resetForm: true

					}).submit();






				} else {
					alert('Preencha todos os campos.');
				}

			});


			function verifica_novo() {

				if ($('#nome_novo').val() != '' && $('#hora_novo').val() != '' && $('#hora_novo input').val() != '' && $('#sala_novo').val() != '' && $('#cemiterio_novo').val() != '') {
					return true
				} else {
					return false;
				}

			}

			$('#dialog_tabela').on('click', '#confirma_nova_tabela', function () {

				var voltas_nova_tabela = $('#voltas_nova_tabela').val();

				$.ajax({
					type: "POST",
					data: 'cod_tv=' + <?= $cod_tv ?> + '&voltas_nova_tabela=' + voltas_nova_tabela,
					url: "insere_tabela.php",
					success: function (data) {

						if (data.resp == 'ok') {
							alert('Inserido com sucesso');
							//window.location.href = 'index.html';

							carrega();
							fechar();


						} else {
							$('#erro').html(data.sql);
							alert('Erro ao inserir. Tente novamente.');
						}
					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});



			});


			$('#dialog_edit_tabela').on('click', '#confirma_edit_tabela', function () {


				var slide = $("#confirma_edit_tabela").data("slide");
				var voltas_tabela = $('#voltas_edit_tabela').val();


				$.ajax({
					type: "POST",
					data: 'id=' + slide + '&voltas_tabela=' + voltas_tabela,
					url: "edita_tabela.php",
					success: function (data) {

						if (data.resp == 'ok') {
							alert('Editado com sucesso');
							//window.location.href = 'index.html';

							carrega();
							fechar();
						} else {
							alert('Erro ao editar. Tente novamente.');
						}
					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});


			});





			function verifica_nova_edit() {

				if ($('#titulo_prop_edit').val() != '' && $('#blah_edit').attr('src') != '') {
					return true;
				} else {
					return false;
				}

			}


			$('#dialog_edit_prop').on('click', '#confirma_edit_prop', function () {

				var slide = $("#confirma_edit_prop").data("slide");

				titulo_prop_edit = $('#titulo_prop_edit').val();
				tempo_prop_edit = $('#tempo_prop_edit').val();

				if ($('#anexo_edit').val() != '') {

					if (verifica_nova_edit()) {


						arquivo_prop_edit = $('#arquivo_edit').val();

						$('#formUpload_edit').ajaxForm({
							data: {
								titulo: titulo_prop_edit
							},
							uploadProgress: function (event, position, total, percentComplete) {
								$('#resposta_edit').html('');
								$('progress#edit').attr('value', percentComplete);
								$('#porcentagem_edit').html(percentComplete + '%');
							},
							success: function (data) {

								$('progress#edit').attr('value', '100');
								$('#porcentagem_edit').html('100%');

								//alert(data.sucesso);

								if (data.sucesso == true) {

									//$('#anexo').val(data.msg);

									$.ajax({
										type: "POST",
										data: 'cod_tv=<?= $cod_tv ?>&id=' + slide + '+&titulo=' + titulo_prop_edit + '&tempo_imagem=' + tempo_prop_edit + '&arquivo=' + data.msg + '&tipo=2',
										url: "edita_propaganda.php",
										success: function (data) {

											if (data.resp == 'ok') {

												$('#titulo_prop_edit').val('');
												$('#tempo_prop_edit').val('10');
												$('#anexo_edit').val('');
												$('#blah_edit').attr('src', '');
												$('#blah_edit').hide();
												$('progress#edit').attr('value', '0');
												$('#porcentagem_edit').html('0%');
												$('#resposta_edit').html('');

												alert('Editado com sucesso');

												carrega();
												fechar();


											} else {
												alert('Erro ao editar. Tente novamente.');
											}
										},
										error: function (xhr, status) {
											alert('Aqui ' + xhr.statusText);
										}
									});

								} else {
									$('progress#edit').attr('value', '0');
									$('#porcentagem_edit').html('0%');
									$('#resposta_edit').html(data.msg);
								}
							},
							error: function () {
								$('#resposta_edit').html('Erro ao enviar requisição');
							},
							dataType: 'json',
							url: 'enviar_arquivo.php',
							resetForm: true

						}).submit();






					} else {
						alert('Preencha todos os campos.');
					}


				} else {

					$.ajax({
						type: "POST",
						data: 'cod_tv=<?= $cod_tv ?>&id=' + slide + '+&titulo=' + titulo_prop_edit + '&tempo_imagem=' + tempo_prop_edit + '&tipo=2',
						url: "edita_propaganda.php",
						success: function (data) {

							if (data.resp == 'ok') {

								$('#titulo_prop_edit').val('');
								$('#tempo_prop_edit').val('10');
								$('#anexo_edit').val('');
								$('#blah_edit').attr('src', '');
								$('#blah_edit').hide();
								$('progress#edit').attr('value', '0');
								$('#porcentagem_edit').html('0%');
								$('#resposta_edit').html('');

								alert('Editado com sucesso');

								carrega();
								fechar();


							} else {
								alert('Erro ao editar. Tente novamente.');
							}
						},
						error: function (xhr, status) {
							alert('Aqui ' + xhr.statusText);
						}
					});


				}


			});

			function verifica_novo_video() {

				if ($('#titulo_edit_video').val() != '') {
					return true;
				} else {
					return false;
				}

			}



			$('#dialog_edit_video').on('click', '#confirma_edit_video', function () {

				var slide = $("#confirma_edit_video").data("slide");

				titulo_edit_video = $('#titulo_edit_video').val();
				voltas_edit_video = $('#voltas_edit_video').val();


				if ($('#arquivo_edit_video').val() != '') {

					if (verifica_novo_video()) {


						arquivo_video_edit = $('#arquivo_edit_video').val();

						$('#formUpload_edit_video').ajaxForm({
							data: {
								titulo: titulo_edit_video
							},
							uploadProgress: function (event, position, total, percentComplete) {
								$('#resposta_edit_video').html('');
								$('progress#edit_video').attr('value', percentComplete);
								$('#porcentagem_edit_video').html(percentComplete + '%');
							},
							success: function (data) {

								$('progress#edit_video').attr('value', '100');
								$('#porcentagem_edit_video').html('100%');

								//alert(data.sucesso);

								if (data.sucesso == true) {

									//$('#anexo').val(data.msg);

									$.ajax({
										type: "POST",
										data: 'cod_tv=<?= $cod_tv ?>&id=' + slide + '+&titulo=' + titulo_edit_video + '&voltas=' + voltas_edit_video + '&arquivo=' + data.msg + '&tipo=3',
										url: "edita_video.php",
										success: function (data) {

											if (data.resp == 'ok') {

												$('#titulo_edit_video').val('');
												$('#nome_edit_video').val('');
												$('progress#edit_video').attr('value', '0');
												$('#porcentagem_edit_video').html('0%');
												$('#resposta_edit_video').html('');

												alert('Editado com sucesso');

												carrega();
												fechar();


											} else {
												alert('Erro ao editar. Tente novamente.');
											}
										},
										error: function (xhr, status) {
											alert(xhr.statusText);
										}
									});

								} else {
									$('progress#edit_video').attr('value', '0');
									$('#porcentagem_edit_video').html('0%');
									$('#resposta_edit_video').html(data.msg);
								}
							},
							error: function () {
								$('#resposta_edit_video').html('Erro ao enviar requisição');
							},
							dataType: 'json',
							url: 'enviar_videos.php',
							resetForm: true

						}).submit();






					} else {
						alert('Preencha todos os campos.');
					}


				} else {

					$.ajax({
						type: "POST",
						data: 'cod_tv=<?= $cod_tv ?>&id=' + slide + '+&titulo=' + titulo_edit_video + '&voltas=' + voltas_edit_video + '&tipo=3',
						url: "edita_video.php",
						success: function (data) {

							if (data.resp == 'ok') {

								$('#titulo_edit_video').val('');
								$('#nome_edit_video').val('');
								$('#blah_edit_video').attr('src', '');
								$('#blah_edit_video').hide();
								$('progress#edit_video').attr('value', '0');
								$('#porcentagem_edit_video').html('0%');
								$('#resposta_edit_video').html('');

								alert('Editado com sucesso');

								carrega();
								fechar();


							} else {
								alert('Erro ao editar. Tente novamente.');
							}
						},
						error: function (xhr, status) {
							alert(xhr.statusText);
						}
					});


				}


			});



			$('#dialog_edit').on('click', '#confirma_edit', function () {


				var slide = $("#confirma_edit").data("slide");
				var nome_edit = $('#nome_edit').val();
				var idade_edit = $('#idade_edit').val();
				var hora_edit = $('#hora_edit').val();
				var data_edit = $('#data_edit input').val();
				var sala_edit = $('#sala_edit').val();
				var cemiterio_edit = $('#cemiterio_edit').val();


				$.ajax({
					type: "POST",
					data: 'id=' + slide + '&nome=' + nome_edit + '&idade=' + idade_edit + '&hora=' + hora_edit + '&dia=' + data_edit + '&sala=' + sala_edit + '&cemiterio=' + cemiterio_edit,
					url: "/velorio/edita_slide.php",
					success: function (data) {

						if (data.resp == 'ok') {
							alert('Editado com sucesso');
							//window.location.href = 'index.html';

							carrega();
							fechar();
						} else {
							alert('Erro ao editar. Tente novamente.');
						}
					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});


			});



			$('ul#sortable').on('click', '.delete', function (e) {
				//alert($( this ).data("id"));

				e.preventDefault();

				var id = '#' + $(this).data("dialog");

				var maskHeight = $(document).height();
				var maskWidth = $(window).width();

				$('#mask').css({
					'width': maskWidth,
					'height': maskHeight
				});

				$('#mask').fadeIn(250);
				$('#mask').fadeTo("slow", 0.8);

				//Get the window height and width
				var winH = $(window).height();
				var winW = $(window).width();

				$(id).css('top', winH / 2 - $(id).height() / 2);
				$(id).css('left', winW / 2 - $(id).width() / 2);

				$("#confirma_delete").data("slide", $(this).data("id"));

				$(id).fadeIn(500);

			});

			$('#dialog').on('click', '#confirma_delete', function () {

				slide = $(this).data("slide");

				$.ajax({
					type: "POST",
					data: 'id=' + slide,
					url: "deleta_programacao.php",
					success: function (data) {

						if (data.resp == 'ok') {
							carrega();
							fechar();
						} else {
							alert('Erro ao deletar. Tente novamente.');
							fechar();
						}
					},
					error: function (xhr, status) {
						alert(xhr.statusText);
					}
				});

			});

			$("#sortable").sortable({



				stop: function (event, ui) {
					//alert($(this).sortable('serialize'));		   

					var lista_slides = [];

					$("#sortable li").each(function (index) {

						lista_slides[index] = $(this).data("id");

					});

					jsondata = JSON.stringify(lista_slides);

					$.ajax({
						type: "POST",
						data: 'jsondata=' + jsondata,
						url: "ordem_programacao.php",
						success: function (data) {

							if (data.resp == 'ok') {
								//alert('OK Ordenação');
							} else {
								alert('Erro ordenação.');
							}

						},
						error: function (xhr, status) {
							alert(xhr.statusText);
						}
					});

				}
			});

			$("#sortable").disableSelection();


			function readURL(input) {
				if (input.files && input.files[0]) {
					var reader = new FileReader();

					reader.onload = function (e) {
						$('#blah').show();
						$('#blah').attr('src', e.target.result);
						$('#blah').css({
							'height': '100px'
						});
					}

					reader.readAsDataURL(input.files[0]);
				}
			}

			$("#arquivo").change(function () {
				readURL(this);
			});


			function readURL_edit(input) {
				if (input.files && input.files[0]) {
					var reader = new FileReader();

					reader.onload = function (e) {
						$('#blah_edit').show();
						$('#blah_edit').attr('src', e.target.result);
						$('#blah_edit').css({
							'height': '100px'
						});
						$('#anexo_edit').val(e.target.result);
					}

					reader.readAsDataURL(input.files[0]);
				}
			}

			$("#arquivo_edit").change(function () {
				readURL_edit(this);
			});




		}); //ready
	</script>
	<script src="bootstrap/js/bootstrap.min.js"></script>

	<script src="vendors/form-helpers/js/bootstrap-formhelpers.min.js"></script>
	<script src="vendors/select/bootstrap-select.min.js"></script>
	<script src="vendors/tags/js/bootstrap-tags.min.js"></script>
	<script src="vendors/mask/jquery.maskedinput.min.js"></script>
	<script src="vendors/moment/moment.min.js"></script>
	<script src="vendors/wizard/jquery.bootstrap.wizard.min.js"></script>
	<link href="vendors/bootstrap-datetimepicker/datetimepicker.css" rel="stylesheet">
	<script src="vendors/bootstrap-datetimepicker/bootstrap-datetimepicker.js"></script>

	<script src="js/custom.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script src="js/jquery.form.js" type="text/javascript"></script>

</body>

</html>